## VOICE enumerations and flags

VOICE enumerations and flags

## Functions

const gchar * | qmi_voice_call_state_get_string ()
const gchar * | qmi_voice_call_type_get_string ()
const gchar * | qmi_voice_call_direction_get_string ()
const gchar * | qmi_voice_call_mode_get_string ()
const gchar * | qmi_voice_als_get_string ()
const gchar * | qmi_voice_presentation_get_string ()
const gchar * | qmi_voice_domain_get_string ()
const gchar * | qmi_voice_privacy_get_string ()
const gchar * | qmi_voice_service_option_get_string ()
const gchar * | qmi_voice_tty_mode_get_string ()
gchar * | qmi_voice_wcdma_amr_status_build_string_from_mask ()

## Types and Values

enum | QmiVoiceCallState
enum | QmiVoiceCallType
enum | QmiVoiceCallDirection
enum | QmiVoiceCallMode
enum | QmiVoiceAls
enum | QmiVoicePresentation
enum | QmiVoiceDomain
enum | QmiVoicePrivacy
enum | QmiVoiceServiceOption
enum | QmiVoiceTtyMode
enum | QmiVoiceWcdmaAmrStatus

## Object Hierarchy

        GEnum
        ├── QmiVoiceAls
        ├── QmiVoiceCallDirection
        ├── QmiVoiceCallMode
        ├── QmiVoiceCallState
        ├── QmiVoiceCallType
        ├── QmiVoiceDomain
        ├── QmiVoicePresentation
        ├── QmiVoicePrivacy
        ├── QmiVoiceServiceOption
        ╰── QmiVoiceTtyMode
        GFlags
        ╰── QmiVoiceWcdmaAmrStatus

## Description

This section defines enumerations and flags used in the VOICE service interface.

## Functions

### qmi_voice_call_state_get_string ()

    const gchar *
    qmi_voice_call_state_get_string (QmiVoiceCallState val);

Gets the nickname string for the QmiVoiceCallState specified at `val` .

#### Parameters

val | a QmiVoiceCallState. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.14

### qmi_voice_call_type_get_string ()

    const gchar *
    qmi_voice_call_type_get_string (QmiVoiceCallType val);

Gets the nickname string for the QmiVoiceCallType specified at `val` .

#### Parameters

val | a QmiVoiceCallType. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.14

### qmi_voice_call_direction_get_string ()

    const gchar *
    qmi_voice_call_direction_get_string (QmiVoiceCallDirection val);

Gets the nickname string for the QmiVoiceCallDirection specified at `val` .

#### Parameters

val | a QmiVoiceCallDirection. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.14

### qmi_voice_call_mode_get_string ()

    const gchar *
    qmi_voice_call_mode_get_string (QmiVoiceCallMode val);

Gets the nickname string for the QmiVoiceCallMode specified at `val` .

#### Parameters

val | a QmiVoiceCallMode. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.14

### qmi_voice_als_get_string ()

    const gchar *
    qmi_voice_als_get_string (QmiVoiceAls val);

Gets the nickname string for the QmiVoiceAls specified at `val` .

#### Parameters

val | a QmiVoiceAls. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.14

### qmi_voice_presentation_get_string ()

    const gchar *
    qmi_voice_presentation_get_string (QmiVoicePresentation val);

Gets the nickname string for the QmiVoicePresentation specified at `val` .

#### Parameters

val | a QmiVoicePresentation. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.14

### qmi_voice_domain_get_string ()

    const gchar *
    qmi_voice_domain_get_string (QmiVoiceDomain val);

Gets the nickname string for the QmiVoiceDomain specified at `val` .

#### Parameters

val | a QmiVoiceDomain. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.14

### qmi_voice_privacy_get_string ()

    const gchar *
    qmi_voice_privacy_get_string (QmiVoicePrivacy val);

Gets the nickname string for the QmiVoicePrivacy specified at `val` .

#### Parameters

val | a QmiVoicePrivacy. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.14

### qmi_voice_service_option_get_string ()

    const gchar *
    qmi_voice_service_option_get_string (QmiVoiceServiceOption val);

Gets the nickname string for the QmiVoiceServiceOption specified at `val` .

#### Parameters

val | a QmiVoiceServiceOption. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.14

### qmi_voice_tty_mode_get_string ()

    const gchar *
    qmi_voice_tty_mode_get_string (QmiVoiceTtyMode val);

Gets the nickname string for the QmiVoiceTtyMode specified at `val` .

#### Parameters

val | a QmiVoiceTtyMode. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.14

### qmi_voice_wcdma_amr_status_build_string_from_mask ()

    gchar *
    qmi_voice_wcdma_amr_status_build_string_from_mask
                                   (QmiVoiceWcdmaAmrStatus mask);

Builds a string containing a comma-separated list of nicknames for each QmiVoiceWcdmaAmrStatus in `mask` .

#### Parameters

mask | bitmask of QmiVoiceWcdmaAmrStatus values. |

#### Returns

a string with the list of nicknames, or `NULL` if none given. The returned value should be freed with `g_free()`.

[transfer full]

Since: 1.14

## Types and Values

### enum QmiVoiceCallState

State of a call.

#### Members

QMI_VOICE_CALL_STATE_UNKNOWN | Unknown state. |
QMI_VOICE_CALL_STATE_ORIGINATION | Call is being originated. |
QMI_VOICE_CALL_STATE_INCOMING | Incoming call. |
QMI_VOICE_CALL_STATE_CONVERSATION | Call is in progress. |
QMI_VOICE_CALL_STATE_CC_IN_PROGRESS | Call is originating but waiting for call control to complete. |
QMI_VOICE_CALL_STATE_ALERTING | Alerting. |
QMI_VOICE_CALL_STATE_HOLD | On hold. |
QMI_VOICE_CALL_STATE_WAITING | Waiting. |
QMI_VOICE_CALL_STATE_DISCONNECTING | Disconnecting. |
QMI_VOICE_CALL_STATE_END | Call is finished. |
QMI_VOICE_CALL_STATE_SETUP | MT call is in setup state (3GPP). |

Since: 1.14

### enum QmiVoiceCallType

Type of a voice call.

#### Members

QMI_VOICE_CALL_TYPE_VOICE | Voice call. |
QMI_VOICE_CALL_TYPE_VOICE_IP | VoIP call. |
QMI_VOICE_CALL_TYPE_OTAPA | OTAPA. |
QMI_VOICE_CALL_TYPE_NON_STD_OTASP | Non-standard OTASP. |
QMI_VOICE_CALL_TYPE_EMERGENCY | Emergency call. |
QMI_VOICE_CALL_TYPE_SUPS | Supplementary service. |

Since: 1.14

### enum QmiVoiceCallDirection

Call direction.

#### Members

QMI_VOICE_CALL_DIRECTION_UNKNOWN | Unknown. |
QMI_VOICE_CALL_DIRECTION_MO | Mobile-originated. |
QMI_VOICE_CALL_DIRECTION_MT | Mobile-terminated. |

Since: 1.14

### enum QmiVoiceCallMode

Call mode.

#### Members

QMI_VOICE_CALL_MODE_UNKNOWN | Unknown. |
QMI_VOICE_CALL_MODE_CDMA | CDMA. |
QMI_VOICE_CALL_MODE_GSM | GSM. |
QMI_VOICE_CALL_MODE_UMTS | UMTS. |
QMI_VOICE_CALL_MODE_LTE | LTE. |

Since: 1.14

### enum QmiVoiceAls

ALS line indicator.

#### Members

QMI_VOICE_ALS_LINE_1 | Line 1 (default). |
QMI_VOICE_ALS_LINE_2 | Line 2. |

Since: 1.14

### enum QmiVoicePresentation

Remote party number presentation indicator.

#### Members

QMI_VOICE_PRESENTATION_ALLOWED | Allowed presentation. |
QMI_VOICE_PRESENTATION_RESTRICTED | Restricted presentation. |
QMI_VOICE_PRESENTATION_UNAVAILABLE | Unavailable presentation. |
QMI_VOICE_PRESENTATION_PAYPHONE | Payphone presentation (3GPP only). |

Since: 1.14

### enum QmiVoiceDomain

Voice domain preference.

#### Members

QMI_VOICE_DOMAIN_CS_ONLY | CS-only. |
QMI_VOICE_DOMAIN_PS_ONLY | PS-only. |
QMI_VOICE_DOMAIN_CS_PREFERRED | CS preferred, PS secondary. |
QMI_VOICE_DOMAIN_PS_PREFERRED | PS preferred, CS secondary. |

Since: 1.14

### enum QmiVoicePrivacy

Voice privacy.

#### Members

QMI_VOICE_PRIVACY_STANDARD | Standard. |
QMI_VOICE_PRIVACY_ENHANCED | Enhanced. |

Since: 1.14

### enum QmiVoiceServiceOption

Service option.

#### Members

QMI_VOICE_SERVICE_OPTION_WILD | Any service option. |
QMI_VOICE_SERVICE_OPTION_IS_96A | IS-96A. |
QMI_VOICE_SERVICE_OPTION_EVRC | EVRC. |
QMI_VOICE_SERVICE_OPTION_13K_IS733 | IS733. |
QMI_VOICE_SERVICE_OPTION_SELECTABLE_MODE_VOCODER | Selectable mode vocoder. |
QMI_VOICE_SERVICE_OPTION_4GV_NARROW_BAND | 4GV narrowband. |
QMI_VOICE_SERVICE_OPTION_4GV_WIDE_BAND | 4GV wideband. |
QMI_VOICE_SERVICE_OPTION_13K | 13K. |
QMI_VOICE_SERVICE_OPTION_IS_96 | IS-96. |
QMI_VOICE_SERVICE_OPTION_WVRC | WVRC. |

Since: 1.14

### enum QmiVoiceTtyMode

TTY mode.

#### Members

QMI_VOICE_TTY_MODE_FULL | Full. |
QMI_VOICE_TTY_MODE_VCO | Voice carry over. |
QMI_VOICE_TTY_MODE_HCO | Hearing carry over. |
QMI_VOICE_TTY_MODE_OFF | Off. |

Since: 1.14

### enum QmiVoiceWcdmaAmrStatus

WCDMA AMR status.

#### Members

QMI_VOICE_WCDMA_AMR_STATUS_NOT_SUPPORTED | Not supported. |
QMI_VOICE_WCDMA_AMR_STATUS_WCDMA_AMR_WB | WCDMA AMR wideband. |
QMI_VOICE_WCDMA_AMR_STATUS_GSM_HR_AMR | GSM half-rate AMR. |
QMI_VOICE_WCDMA_AMR_STATUS_GSM_AMR_WB | GSM AMR wideband. |
QMI_VOICE_WCDMA_AMR_STATUS_GSM_AMR_NB | GSM AMR narrowband. |

Since: 1.14